%{?scl:%scl_package eclipse-abrt}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

Name:		%{?scl_prefix}eclipse-abrt
Version:	0.0.3
Release:	9.%{baserelease}%{?dist}
Summary:	Eclipse ABRT plugin
License:	EPL-1.0
URL:		https://pagure.io/eclipse-abrt

Source0:	https://pagure.io/releases/eclipse-abrt/eclipse-abrt-%{version}.tar.xz

BuildArch:	noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:	%{?scl_prefix}tycho
BuildRequires:	%{?scl_prefix}tycho-extras
BuildRequires:	%{?scl_prefix}eclipse-platform
BuildRequires:	%{?scl_prefix}jnr-unixsocket
BuildRequires:	%{?scl_prefix}eclipse-epp-logging
BuildRequires:	%{?scl_prefix}eclipse-license
BuildRequires:	%{?scl_prefix}osgi(org.eclipse.mylyn.bugzilla.ui)

Requires:	%{?scl_prefix}eclipse-platform >= 1:4.3.2
Requires:	%{?scl_prefix}eclipse-epp-logging

Obsoletes:	%{?scl_prefix}eclipse-mylyn-fedora-integration >= 1.0.4-1

%description
This plugin provide support to add error reports from Eclipse to ABRT

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n eclipse-abrt-%{version}
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build  -j -- -f pom.xml
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles

%changelog
* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 0.0.3-9.1
- Auto SCL-ise package for rh-eclipse collection

* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 0.0.3-9
- Restrict to same architectures as Eclipse itself

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 09 2018 Mat Booth <mat.booth@redhat.com> - 0.0.3-7
- Re-generate symlinks

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 0.0.3-6
- Update license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 8 2016 Alexander Kurtakov <akurtako@redhat.com> 0.0.3-1
- Update to upstream 0.0.3 release which obsoletes eclipse-mylyn-fedora-integration.

* Wed Apr 20 2016 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-1
- Update to upstream 0.0.2 release.

* Thu Mar 24 2016 Sopot Cela <scela@redhat.com> - 0.0.1-1
- Initial upload